/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : mié may 23 20:36:15 CEST 2001
    copyright            : (C) 2001 by Javier Campos
    email                : javi_cms@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "keduca.h"

static const char *description =
	I18N_NOOP("Form-based tests and exams");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE

static const char *version =
        I18N_NOOP("1.0");

	
static KCmdLineOptions options[] =
{
	{ "+file",          I18N_NOOP("File to load"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "keduca", I18N_NOOP("KEduca"),
    version, description, KAboutData::License_GPL,
    "(c) 2001, Javier Campos", 0, "http://edu.kde.org/keduca", "submit@bugs.kde.org");
  aboutData.addAuthor("Javier Campos",0, "javi_cms@terra.es");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
//  KImageIO::registerFormats();
	Keduca *keduca = new Keduca();
  a.setMainWidget(keduca);
  keduca->show();

	if ( args->count() > 0 )
	{	keduca->openURL( args->url(0) ); }

	args->clear();

  return a.exec();
}
